org.apache.maven.scm.command.edit

## Class AbstractEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.edit.AbstractEditCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  ClearCaseEditCommand, PerforceEditCommand, StarteamEditCommand, SynergyEditCommand, TfsEditCommand

    public abstract class AbstractEditCommand
    extends AbstractCommand

Version:
  $Id: AbstractEditCommand.java 685539 2008-08-13 13:27:27Z vsiveton $

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEditCommand()`

### Method Summary

Methods
`ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`protected abstract ScmResult` `executeEditCommand(ScmProviderRepository repository, ScmFileSet fileSet)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractEditCommand

    public AbstractEditCommand()

### Method Detail

#### executeCommand

    public ScmResult executeCommand(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                             throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`

#### executeEditCommand

    protected abstract ScmResult executeEditCommand(ScmProviderRepository repository,
                               ScmFileSet fileSet)
                                             throws ScmException

Throws:
  `ScmException`